EPSG:32188 is recognized as EPSG:2950

2015-11-04 10:45 AM - Francois Goulet

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.12.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 21787

Description

A lot og my shapefiles with a .prj file (EPSG:32188) are imported as EPSG:2950

EPSG:32188

PROJCS["NAD_1983_MTM_8",GEOGCS["GCS_North_American_1983",DATUM["D_North_American_1983",SPHEROID["GRS_1980

,6378137.0,298.257222101]],PRIMEM["Greenwich",0.0],UNIT["Degree",0.0174532925199433]],PROJECTION["Transverse_Mercator"],PARAMETER["False_Easting",304800.0],PARAMETER["False_Northing",0.0],PARAMETER["Central_Meridian",-73.5],

,PARAMETER["False_Easting",304800.0],PARAMETER["False_Northing",0.0],PARAMETER["Central_Meridian",-73.5],PARAMETER["Scale_Factor",0.9999],PARAMETER["Latitude_Of_Origin",0.0],UNIT["Meter",1.0]]

Scale_Factor",0.9999],PARAMETER["Latitude_Of_Origin",0.0],UNIT["Meter",1.0]]

EPSG:2950

PROJCS["NAD83_CSRS_MTM_zone_8",GEOGCS["GCS_NAD83(CSRS)",DATUM["D_North_American_1983_CSRS98",SPHEROID

"GRS_1980",6378137,298.257222101]],PRIMEM["Greenwich",0],UNIT["Degree",0.017453292519943295]],PROJECTION["Transverse_Mercator"],PARAMETER["latitude_of_origin",0],PARAMETER["central_meridian",-73.5],PARAMETER["scale_fa

_Mercator"],PARAMETER["latitude_of_origin",0],PARAMETER["central_meridian",-73.5],PARAMETER["scale_factor",0.9999],PARAMETER["false_easting",304800],PARAMETER["false_northing",0],UNIT["Meter",1]]

TER["false_easting",304800],PARAMETER["false_northing",0],UNIT["Meter",1]]

Doesn't cause any real problem in QGIS for mapping, but when exported to PostGIS, it causes operations on mixed geometry with my

others EPSG:32188 layers...

History

#1 - 2015-11-05 08:08 AM - Giovanni Manghi

- Category set to Projection Support

- Subject changed from When opening shapefile, the wrong SR is imported to EPSG:32188 is recognized as EPSG:2950

note, proj4 strings of this two CRS are identical:

+proj=tmerc +lat_0=0 +lon_0=-73.5 +k=0.9999 +x_0=304800 +y_0=0 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs

+proj=tmerc +lat_0=0 +lon_0=-73.5 +k=0.9999 +x_0=304800 +y_0=0 +ellps=GRS80 +towgs84=0,0,0,0,0,0,0 +units=m +no_defs

#2 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-05-25 10:31 AM - Jürgen Fischer

- Status changed from Open to Closed

- Description updated

- Resolution set to wontfix
The content of the .prj file doesn't carry the EPSG - hence the CRS is looked up with the proj.4 definition, which is not unique.

Use Processing/Define current projection to add a .qpj file to the layer.

Files

buffers.zip 880 KB 2015-11-04 Francois Goulet
